[tool.poetry]
name = "geddit"
version = "1.1.0"
description = "Zero-configuration fetching of configuration resources"
authors = [
  "University of Cambridge Information Services <devops+geddit@uis.cam.ac.uk>"
]
readme = "README.md"

  [[tool.poetry.packages]]
  include = "geddit"

  [tool.poetry.dependencies]
  python = "^3.8"
  requests = "^2.31.0"
  google-cloud-secret-manager = ">=2.7,<3.0"
  google-cloud-storage = ">=1.41,<3.0"

[tool.black]
line-length = 99

[tool.isort]
profile = "black"

[tool.mypy]
ignore_missing_imports = true

[build-system]
requires = [ "poetry-core" ]
build-backend = "poetry.core.masonry.api"
